type _AnswerStream = {
    type: "answer";
    time: string;
    content: {
        answer: 1 | 2;
        answerTime_s: number;
        totalTime_s: number;
        value: string;
    }
};

type _ProgressStream = {
    type: "progress-start";
    time: string;
    content: {
        counter: number;
        total: number;
    }
} | {
    type: "progress-step";
    time: string;
    content: {
        counter: number;
        percent: number;
    }
} | {
    type: "progress-end";
    time: string;
    content: {
        counter: number;
    }
};

type _LogStream = {
    type: "log";
    time: string;
    content: {
        level: "ERROR" | "WARNING" | "INFO" | "DEBUG";
        message: string;
    }
};


type _FileStream = {
    type: "file";
    time: string;
    content: {
        filename: string;
        size: number;
    }
};

type _ErrorStream = {
    type: "error";
    time: string;
    message: string;
};

export type StreamMessage = _AnswerStream | _ProgressStream | _LogStream | _ErrorStream | _FileStream;
